diff --git a/test_plans/dual_vlan_test_plan.rst b/test_plans/dual_vlan_test_plan.rst
index 752b5025..fab18515 100644
--- a/test_plans/dual_vlan_test_plan.rst
+++ b/test_plans/dual_vlan_test_plan.rst
@@ -14,7 +14,7 @@ The support of Dual VLAN offload features by Poll Mode Drivers consists in:
 Prerequisites
 =============
 
-In this feature, x7xx series, 82576 and 82599 are supported.
+In this feature, x7xx series, Intel® Ethernet 800 Series, 82576 and 82599 are supported.
 
 If using vfio the kernel must be >= 3.6+ and VT-d must be enabled in bios.When
 using vfio, use the following commands to load the vfio driver and bind it
diff --git a/test_plans/flow_classify_test_plan.rst b/test_plans/flow_classify_test_plan.rst
index c543c771..2800b2d6 100644
--- a/test_plans/flow_classify_test_plan.rst
+++ b/test_plans/flow_classify_test_plan.rst
@@ -37,6 +37,11 @@ Ethernet Controller XL710 for 40GbE QSFP+ 1583
 ixgbe driver nic:
 82599ES 10-Gigabit SFI/SFP+ Network Connection 10fb
 
+ice driver nic:
+Ethernet Controller E810-C for QSFP 1592
+Ethernet Controller E810-XXV for SFP 159b
+Ethernet Controller E810-C for SFP 1593
+
 HW configuration
 ----------------
 link peer topology::
diff --git a/test_plans/flow_filtering_test_plan.rst b/test_plans/flow_filtering_test_plan.rst
index 92d31413..e4f7fe19 100644
--- a/test_plans/flow_filtering_test_plan.rst
+++ b/test_plans/flow_filtering_test_plan.rst
@@ -20,6 +20,7 @@ The matching item is dst IP address: "192.168.1.1".
 The match action is entering the queue 1.
 The flow example can specify fdir_mode by '--pkt-filter-mode',if not assign fdir_mode, IXGBE will not support flow example.
 IGB not support flow example.
+ICE support flow example.
 
 Prerequisites
 =============
diff --git a/test_plans/generic_flow_api_test_plan.rst b/test_plans/generic_flow_api_test_plan.rst
index 97d321db..2da0c9f5 100644
--- a/test_plans/generic_flow_api_test_plan.rst
+++ b/test_plans/generic_flow_api_test_plan.rst
@@ -9,7 +9,7 @@ Prerequisites
 =============
 
 1. Hardware:
-   Intel® Ethernet 700 Series and 82599
+   Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and 82599
   
 2. software: 
    dpdk: http://dpdk.org/git/dpdk
@@ -2169,6 +2169,7 @@ Test case: Dual vlan(QinQ)
 
 Test case: create same rule after destroy
 =========================================
+support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and 82599.
 
 1. Launch the app ``testpmd`` with the following arguments::
 
@@ -2192,6 +2193,7 @@ Test case: create same rule after destroy
 
 Test case: create different rule after destroy
 ==============================================
+support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and 82599.
 
 1. Launch the app ``testpmd`` with the following arguments::
 
@@ -2214,11 +2216,12 @@ Test case: create different rule after destroy
     verify match pkt2 to queue 2, verify mismatch pkt1 to queue 0.
 
 Test Case: 10GB Multiple filters
-======================================
+================================
+only supported by ixgbe and igb
 
 1. config testpmd on DUT
 
-   1. set up testpmd with Intel® Ethernet 700 Series NICs::
+   1. set up testpmd with 82599 NICs::
 
          ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 1,2,3,4,5,6,7,8 -n 4 -- -i --disable-rss --rxq=16 --txq=16
 
diff --git a/test_plans/interrupt_pmd_test_plan.rst b/test_plans/interrupt_pmd_test_plan.rst
index fd15d334..d812ad0c 100644
--- a/test_plans/interrupt_pmd_test_plan.rst
+++ b/test_plans/interrupt_pmd_test_plan.rst
@@ -18,6 +18,8 @@ interrupt.
 Prerequisites
 =============
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and 82599.
+
 Each of the 10Gb Ethernet* ports of the DUT is directly connected in
 full-duplex to a different port of the peer traffic generator.
 
diff --git a/test_plans/ip_pipeline_test_plan.rst b/test_plans/ip_pipeline_test_plan.rst
index 395b1bc5..13827488 100644
--- a/test_plans/ip_pipeline_test_plan.rst
+++ b/test_plans/ip_pipeline_test_plan.rst
@@ -10,6 +10,8 @@ Description
 The "examples/ip_pipeline" application is the main DPDK Packet Framework
 application.
 
+The suit support NIC: Intel® Ethernet 700 Series(I40E_10G-SFP_XL710), Intel® Ethernet 800 Series(ICE_25G-E810C_SFP).
+
 Prerequisites
 ==============
 The DUT must have four 10G Ethernet ports connected to four ports on
diff --git a/test_plans/ipfrag_test_plan.rst b/test_plans/ipfrag_test_plan.rst
index 4cf8c436..e30a5961 100644
--- a/test_plans/ipfrag_test_plan.rst
+++ b/test_plans/ipfrag_test_plan.rst
@@ -8,6 +8,8 @@ IP fragmentation Tests
 The IP fragmentation results are produced using ''ip_fragmentation'' application.
 The test application should run with both IPv4 and IPv6 fragmentation.
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series, 82599 and igc driver NIC.
+
 Prerequisites
 =============
 
diff --git a/test_plans/kernelpf_iavf_test_plan.rst b/test_plans/kernelpf_iavf_test_plan.rst
index d877bb90..5c9d8500 100644
--- a/test_plans/kernelpf_iavf_test_plan.rst
+++ b/test_plans/kernelpf_iavf_test_plan.rst
@@ -17,7 +17,7 @@ This plan for IAVF only supports kernel PF scenario.
 
 Hardware
 ========
-ICE driver NIC.
+ICE/I40E driver NIC.
 
 Prerequisites
 =============
diff --git a/test_plans/kni_test_plan.rst b/test_plans/kni_test_plan.rst
index 3e21bbb3..bf69e590 100644
--- a/test_plans/kni_test_plan.rst
+++ b/test_plans/kni_test_plan.rst
@@ -78,7 +78,7 @@ to the device under test::
    modprobe vfio-pci
    usertools/dpdk-devbind.py --bind=vfio-pci device_bus_id
 
-The DUT has at least 2 DPDK supported IXGBE NIC ports.
+The DUT has at least 2 DPDK supported IXGBE/I40E/ICE/IGC NIC ports.
 
 The DUT has to be able to install rte_kni kernel module and launch kni
 application with a default configuration (This configuration may change form a
diff --git a/test_plans/l3fwdacl_test_plan.rst b/test_plans/l3fwdacl_test_plan.rst
index 34f978bc..2d4f1929 100644
--- a/test_plans/l3fwdacl_test_plan.rst
+++ b/test_plans/l3fwdacl_test_plan.rst
@@ -34,7 +34,7 @@ in a rule database to figure out whether the packets should be dropped
 Prerequisites
 =============
 
-1. The DUT has at least 2 DPDK supported IXGBE/I40E NIC ports::
+1. The DUT has at least 2 DPDK supported IXGBE/I40E/ICE/IGC NIC ports::
 
     Tester      DUT
     eth1  <---> PORT 0
diff --git a/test_plans/nvgre_test_plan.rst b/test_plans/nvgre_test_plan.rst
index 58e47153..bb177597 100644
--- a/test_plans/nvgre_test_plan.rst
+++ b/test_plans/nvgre_test_plan.rst
@@ -1,9 +1,9 @@
 .. SPDX-License-Identifier: BSD-3-Clause
    Copyright(c) 2010-2017 Intel Corporation
 
-======================================
-Intel® Ethernet 700 Series NVGRE Tests
-======================================
+===========
+NVGRE Tests
+===========
 
 Cloud providers build virtual network overlays over existing network
 infrastructure that provide tenant isolation and scaling. Tunneling
@@ -12,6 +12,8 @@ existing Layer 2 and IP networks. Conceptually, this is similar to
 creating virtual private networks over the Internet. Intel® Ethernet
 700 Series will process these tunneling layers by the hardware.
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series.
+
 This document provides test plan for Intel® Ethernet 700 Series NVGRE
 packet detecting, checksum computing and filtering.
 
diff --git a/test_plans/packet_ordering_test_plan.rst b/test_plans/packet_ordering_test_plan.rst
index f3a4cf08..aaec27ee 100644
--- a/test_plans/packet_ordering_test_plan.rst
+++ b/test_plans/packet_ordering_test_plan.rst
@@ -77,7 +77,7 @@ For example::
 Prerequisites
 =============
 
-1x Intel® Ethernet Port (710 series, 82599, etc)
+1x Intel® Ethernet Port (710 series, 82599, E810 series etc)
 
 Test Case: Packet ordering at different rates
 =============================================
diff --git a/test_plans/pmdpcap_test_plan.rst b/test_plans/pmdpcap_test_plan.rst
index cc27abe8..8fd68088 100644
--- a/test_plans/pmdpcap_test_plan.rst
+++ b/test_plans/pmdpcap_test_plan.rst
@@ -17,6 +17,8 @@ The core configurations description is:
 Prerequisites
 =============
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series, 82599 and igc driver NIC.
+
 This test does not requires connections between DUT and tester as it is focused
 in PCAP devices created by Test PMD.
 
diff --git a/test_plans/pmdrssreta_test_plan.rst b/test_plans/pmdrssreta_test_plan.rst
index c0913cd2..aea3ac0d 100644
--- a/test_plans/pmdrssreta_test_plan.rst
+++ b/test_plans/pmdrssreta_test_plan.rst
@@ -1,9 +1,9 @@
 .. SPDX-License-Identifier: BSD-3-Clause
    Copyright(c) 2011-2017 Intel Corporation
 
-======================================
-82599 Reta (Redirection table) Tests
-======================================
+==============================
+Reta (Redirection table) Tests
+==============================
 
 This document provides test plan for benchmarking of Rss reta(Redirection
 table) updating for the Intel® 82599 10 Gigabit Ethernet Controller
@@ -14,6 +14,7 @@ the table prior to enabling multiple receive queues .It can also update
 the redirection table during run time. Such updates of the table are
 not synchronized with the arrival time of received packets.
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series, 82599 and igc driver NIC.
 Prerequisites
 =============
 
diff --git a/test_plans/ptpclient_test_plan.rst b/test_plans/ptpclient_test_plan.rst
index 42c67b27..62847031 100644
--- a/test_plans/ptpclient_test_plan.rst
+++ b/test_plans/ptpclient_test_plan.rst
@@ -19,7 +19,7 @@ Case Config::
 
     Meson: For support IEEE1588, build DPDK with '-Dc_args=-DRTE_LIBRTE_IEEE1588'
 
-The sample should be validated on Intel® Ethernet 700 Series, 82599 and i350 Nics.
+The sample should be validated on Intel® Ethernet 700 Series, Intel® Ethernet 800 Series, 82599 and i350 Nics.
 
 Test case: ptp client
 ======================
diff --git a/test_plans/queue_start_stop_test_plan.rst b/test_plans/queue_start_stop_test_plan.rst
index cf660710..de7c46d2 100644
--- a/test_plans/queue_start_stop_test_plan.rst
+++ b/test_plans/queue_start_stop_test_plan.rst
@@ -29,7 +29,7 @@ To run the testpmd application in linuxapp environment with 4 lcores,
 Test Case: queue start/stop
 ---------------------------
 
-This case support PF (Intel® Ethernet 700 Series), VF (Intel® Ethernet 700 Series, 82599)
+This case support PF (Intel® Ethernet 700 Series/Intel® Ethernet 800 Series/82599), VF (Intel® Ethernet 700 Series, 82599)
 
 #. Update testpmd source code. Add the following C code in ./app/test-pmd/fwdmac.c::
 
diff --git a/test_plans/runtime_vf_queue_number_kernel_test_plan.rst b/test_plans/runtime_vf_queue_number_kernel_test_plan.rst
index 99a43b21..e1d42366 100644
--- a/test_plans/runtime_vf_queue_number_kernel_test_plan.rst
+++ b/test_plans/runtime_vf_queue_number_kernel_test_plan.rst
@@ -20,6 +20,7 @@ Prerequisites
 1. Hardware:
 
 - Intel® Ethernet 700 Series(X710/XL710/XXV710)
+- Intel® Ethernet 800 Series
 
 2. Software:
 
diff --git a/test_plans/rxtx_offload_test_plan.rst b/test_plans/rxtx_offload_test_plan.rst
index ea3ae6fe..ca6ff222 100644
--- a/test_plans/rxtx_offload_test_plan.rst
+++ b/test_plans/rxtx_offload_test_plan.rst
@@ -36,7 +36,7 @@ Prerequisites
 =============
 
 1. Hardware:
-   Intel® Ethernet 700 Series and 82599/500 Series
+   Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and 82599/500 Series
 
 2. Software:
    dpdk: http://dpdk.org/git/dpdk
diff --git a/test_plans/telemetry_test_plan.rst b/test_plans/telemetry_test_plan.rst
index 16568cd3..ab66b53d 100644
--- a/test_plans/telemetry_test_plan.rst
+++ b/test_plans/telemetry_test_plan.rst
@@ -21,7 +21,7 @@ if valid. The response is then formatted in JSON and sent back to the requesting
 
 Hardwares::
 ------------
-I40E driver NIC  or ixgbe driver NIC
+I40E driver NIC, ICE driver NIC or ixgbe driver NIC
 
 Prerequisites
 =============
diff --git a/test_plans/tso_test_plan.rst b/test_plans/tso_test_plan.rst
index d0f96b2b..a17f8ac5 100644
--- a/test_plans/tso_test_plan.rst
+++ b/test_plans/tso_test_plan.rst
@@ -20,6 +20,9 @@ according to the MTU size.
 Prerequisites
 =============
 
+Hardware:
+   Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and 82599/500 Series
+
 The DUT must take one of the Ethernet controller ports connected to a port on another
 device that is controlled by the Scapy packet generator.
 
diff --git a/test_plans/tx_preparation_test_plan.rst b/test_plans/tx_preparation_test_plan.rst
index 7bf94f0b..9d68782b 100644
--- a/test_plans/tx_preparation_test_plan.rst
+++ b/test_plans/tx_preparation_test_plan.rst
@@ -27,7 +27,7 @@ APPLICATION (CASE OF USE):
 Prerequisites
 =============
 
-Support igb_uio, test txprep forwarding features on e1000, i40e and ixgbe
+Support igb_uio, test txprep forwarding features on e1000, i40e, ice, igc and ixgbe
 drivers.Send packets from tester platform through the interface eth1 to
 the tested port 0, then testpmd sends back packet using same port and uses
 tcpdump to capture packet information::
diff --git a/test_plans/uni_pkt_test_plan.rst b/test_plans/uni_pkt_test_plan.rst
index 39c9aa87..10af61ef 100644
--- a/test_plans/uni_pkt_test_plan.rst
+++ b/test_plans/uni_pkt_test_plan.rst
@@ -19,10 +19,11 @@ Prerequisites
 =============
 
 Enable ABI and disable vector ixgbe driver in dpdk configuration file.
-Plug in three different types of nic on the board.
+Plug in different types of nic on the board.
 1x Intel® XL710-DA2 (Eagle Fountain)
 1x Intel® 82599 Gigabit Ethernet Controller
 1x Intel® I350 Gigabit Network Connection
+1x Intel® Ethernet 800 Series NIC
 
 Start testpmd and then enable rxonly and verbose mode::
 
diff --git a/test_plans/userspace_ethtool_test_plan.rst b/test_plans/userspace_ethtool_test_plan.rst
index 7a146e3e..a0863e0a 100644
--- a/test_plans/userspace_ethtool_test_plan.rst
+++ b/test_plans/userspace_ethtool_test_plan.rst
@@ -22,7 +22,7 @@ application in linux app environment with 4 lcores, 2 ports::
 
     ethtool -c f -n 4
 
-The sample should be validated on Intel® Ethernet 700 Series, 82599 and i350 Nics.
+The sample should be validated on Intel® Ethernet 700 Series, Intel® Ethernet 800 Series, 82599 and i350 Nics.
 
 other requirements:
 
diff --git a/test_plans/veb_switch_test_plan.rst b/test_plans/veb_switch_test_plan.rst
index c7f6e2cc..13e2078a 100644
--- a/test_plans/veb_switch_test_plan.rst
+++ b/test_plans/veb_switch_test_plan.rst
@@ -35,6 +35,8 @@ switch. It's similar as 82599's SRIOV switch.
 Prerequisites for VEB testing
 =============================
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series.
+
 1. Get the pci device id of DUT, for example::
 
       ./dpdk-devbind.py --st
diff --git a/test_plans/vf_interrupt_pmd_test_plan.rst b/test_plans/vf_interrupt_pmd_test_plan.rst
index f468b491..b7cdeb3e 100644
--- a/test_plans/vf_interrupt_pmd_test_plan.rst
+++ b/test_plans/vf_interrupt_pmd_test_plan.rst
@@ -18,6 +18,8 @@ interrupt.
 Prerequisites
 =============
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and Intel® 82599 Gigabit Ethernet Controller.
+
 Each of the 10Gb Ethernet* ports of the DUT is directly connected in
 full-duplex to a different port of the peer traffic generator.
 
diff --git a/test_plans/vf_macfilter_test_plan.rst b/test_plans/vf_macfilter_test_plan.rst
index d623cf04..43e7cd54 100644
--- a/test_plans/vf_macfilter_test_plan.rst
+++ b/test_plans/vf_macfilter_test_plan.rst
@@ -5,6 +5,8 @@
 VF MAC Filter Tests
 ===================
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and Intel® 82599 Gigabit Ethernet Controller.
+
 Test Case 1: test_kernel_2pf_2vf_1vm_iplink_macfilter
 =====================================================
 
diff --git a/test_plans/vf_pf_reset_test_plan.rst b/test_plans/vf_pf_reset_test_plan.rst
index 35fdc149..866214f7 100644
--- a/test_plans/vf_pf_reset_test_plan.rst
+++ b/test_plans/vf_pf_reset_test_plan.rst
@@ -6,6 +6,7 @@ VF PF Reset Tests
 =================
 
    The scenario is kernel PF + DPDK VF
+   The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series
 
 Prerequisites
 =============
diff --git a/test_plans/vf_port_start_stop_test_plan.rst b/test_plans/vf_port_start_stop_test_plan.rst
index ce42008c..502afa6c 100644
--- a/test_plans/vf_port_start_stop_test_plan.rst
+++ b/test_plans/vf_port_start_stop_test_plan.rst
@@ -5,6 +5,7 @@
 VF Port Start Stop Tests
 ========================
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series and Intel® 82599 Gigabit Ethernet Controller.
 
 Prerequisites
 =============
diff --git a/test_plans/vf_rss_test_plan.rst b/test_plans/vf_rss_test_plan.rst
index 846de2d7..3e42d284 100644
--- a/test_plans/vf_rss_test_plan.rst
+++ b/test_plans/vf_rss_test_plan.rst
@@ -5,6 +5,7 @@
 VF RSS - Configuring Hash Function Tests
 ========================================
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series.
 This document provides test plan for testing the function of Intel® Ethernet 700 Series:
 Support configuring hash functions.
 
diff --git a/test_plans/vm_hotplug_test_plan.rst b/test_plans/vm_hotplug_test_plan.rst
index 941ace7b..3ea515dc 100644
--- a/test_plans/vm_hotplug_test_plan.rst
+++ b/test_plans/vm_hotplug_test_plan.rst
@@ -18,7 +18,7 @@ a qemu device from/to a VM.
 
 Hardware
 ========
-Ixgbe and i40e NICs
+Ixgbe, ice and i40e NICs
 
 Note
 ====
diff --git a/test_plans/vxlan_test_plan.rst b/test_plans/vxlan_test_plan.rst
index d59cee31..e65b18d6 100644
--- a/test_plans/vxlan_test_plan.rst
+++ b/test_plans/vxlan_test_plan.rst
@@ -1,9 +1,9 @@
 .. SPDX-License-Identifier: BSD-3-Clause
    Copyright(c) 2014-2017 Intel Corporation
 
-======================================
-Intel® Ethernet 700 Series Vxlan Tests
-======================================
+==========================================
+Intel® Ethernet 700/800 Series Vxlan Tests
+==========================================
 Cloud providers build virtual network overlays over existing network
 infrastructure that provide tenant isolation and scaling. Tunneling
 layers added to the packets carry the virtual networking frames over
@@ -11,6 +11,8 @@ existing Layer 2 and IP networks. Conceptually, this is similar to
 creating virtual private networks over the Internet. Intel® Ethernet
 700 Series will process these tunneling layers by the hardware.
 
+The suit support NIC: Intel® Ethernet 700 Series, Intel® Ethernet 800 Series.
+
 This document provides test plan for Intel® Ethernet 700 Series vxlan
 packet detecting, checksum computing and filtering.
 
diff --git a/tests/TestSuite_generic_flow_api.py b/tests/TestSuite_generic_flow_api.py
index 0881956c..92774c29 100644
--- a/tests/TestSuite_generic_flow_api.py
+++ b/tests/TestSuite_generic_flow_api.py
@@ -1105,7 +1105,7 @@ class TestGeneric_flow_api(TestCase):
 
     def test_2_tuple_filter(self):
         """
-        only supported by igb
+        supported by igb igc i40e and ice
         """
         self.verify(
             self.nic
@@ -4136,15 +4136,13 @@ class TestGeneric_flow_api(TestCase):
 
     def test_fdir_for_mac_vlan(self):
         """
-        only supported by ixgbe
+        supported by ixgbe, ice, i40e
         """
         self.verify(
             self.nic
             in [
                 "IXGBE_10G-X550EM_X_10G_T",
                 "IXGBE_10G-X550T",
-                "IGC-I225_LM",
-                "IGC-I226_LM",
                 "I40E_10G-SFP_XL710",
                 "I40E_25G-25G_SFP28",
                 "I40E_40G-QSFP_A",