diff --git a/test_plans/dual_vlan_test_plan.rst b/test_plans/dual_vlan_test_plan.rst
index 752b5025..fc549102 100644
--- a/test_plans/dual_vlan_test_plan.rst
+++ b/test_plans/dual_vlan_test_plan.rst
@@ -14,7 +14,7 @@ The support of Dual VLAN offload features by Poll Mode Drivers consists in:
 Prerequisites
 =============
 
-In this feature, x7xx series, 82576 and 82599 are supported.
+In this feature, x7xx series, Intel® Ethernet 800 Series, 82576 and 82599 are supported.
 
 If using vfio the kernel must be >= 3.6+ and VT-d must be enabled in bios.When
 using vfio, use the following commands to load the vfio driver and bind it
@@ -35,6 +35,10 @@ The -n command is used to select the number of memory channels. It should match
 Test Case: Enable/Disable VLAN packets filtering
 ================================================
 
+If driver i40e enable extend on port 0::
+
+    testpmd> vlan set extend on 0
+
 Setup the ``mac`` forwarding mode::
 
     testpmd> set fwd mac
@@ -61,9 +65,7 @@ Check whether the mode is set successful::
     Allmulticast mode: disabled
     Maximum number of MAC addresses: 127
     VLAN offload:
-      strip off
-      filter on
-      qinq(extend) off
+        strip off, filter on, extend on, qinq strip off
 
 start forwarding packets::
 
@@ -112,6 +114,10 @@ Disable VLAN packet extend and strip port ``0``::
     testpmd> vlan set extend off 0
     testpmd> vlan set strip off 0
 
+if driver i40e enable extend on port 0::
+
+    testpmd> vlan set extend on 0
+
 Enable VLAN filtering on port ``0``::
 
     testpmd> vlan set filter on 0
@@ -301,6 +307,8 @@ Do the synthetic test following the below table and check the result is the same
 as the table(the inserted VLAN Tag Identifier is limited to ``0x3``, and all modes
 except insert are set on rx port).
 
+The following table only supports i40e x722/ixgbe/igb/ice:
+
 +-------+-------+--------+------------+--------+--------+-------+-------+-------+
 | Outer | Inner |  Vlan  |   Vlan     | Vlan   | Vlan   | Pass/ | Outer | Inner |
 | vlan  | vlan  |  strip |   filter   | extend | insert | Drop  | vlan  | vlan  |
@@ -358,6 +366,67 @@ except insert are set on rx port).
 |  0x1  |  0x2  |  yes   |  yes,0x2   |  yes   |  yes   | pass  |  0x3  |  0x1  |
 +-------+-------+--------+------------+--------+--------+-------+-------+-------+
 
+The following table only supports i40e:
+
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+| Outer | Inner |  Vlan  |   Vlan     | Vlan   | Vlan   | Pass/ | Outer | Inner |
+| vlan  | vlan  |  strip |   filter   | extend | insert | Drop  | vlan  | vlan  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |     no     |   no   |   no   | pass  |  0x1  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |     no     |   no   |   no   | pass  |  no   |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x1   |   no   |   no   | pass  |  0x1  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x2   |   no   |   no   | pass  |  0x1  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x1   |   no   |   no   | pass  |  no   |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x2   |   no   |   no   | pass  |  no   |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |     no     |  yes   |   no   | pass  |  0x1  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |     no     |  yes   |   no   | pass  |  no   |  0x1  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x1   |  yes   |   no   | pass  |  0x1  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x2   |  yes   |   no   | drop  |  no   |   no  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x1   |  yes   |   no   | pass  |  no   |  0x1  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x2   |  yes   |   no   | drop  |  no   |  no   |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |     no     |   no   |  yes   | pass  |  0x3  |  0x1  |
+|       |       |        |            |        |        |       |       |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |     no     |   no   |  yes   | pass  |  0x3  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x1   |   no   |  yes   | pass  |  0x3  |  0x1  |
+|       |       |        |            |        |        |       |       |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x2   |   no   |  yes   | pass  |  0x3  |  0x1  |
+|       |       |        |            |        |        |       |       |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x1   |   no   |  yes   | pass  |  0x3  |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x2   |   no   |  yes   | drop  |  no   |  no   |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |     no     |  yes   |  yes   | pass  |  0x3  |  0x1  |
+|       |       |        |            |        |        |       |       |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |     no     |  yes   |  yes   | pass  |  0x3  |  0x1  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x1   |  yes   |  yes   | pass  |  0x3  |  0x1  |
+|       |       |        |            |        |        |       |       |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |   no   |  yes,0x2   |  yes   |  yes   | pass  |  0x3  |  0x1  |
+|       |       |        |            |        |        |       |       |  0x2  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x1   |  yes   |  yes   | pass  |  0x3  |  0x1  |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+|  0x1  |  0x2  |  yes   |  yes,0x2   |  yes   |  yes   | drop  |   no  |  no   |
++-------+-------+--------+------------+--------+--------+-------+-------+-------+
+
 Test Case: Strip/Filter/Extend/Insert enable/disable random test
 ================================================================
 