diff --git a/test_plans/vhost_virtio_user_interrupt_cbdma_test_plan.rst b/test_plans/vhost_virtio_user_interrupt_cbdma_test_plan.rst
index 3b74a152..50d875d3 100644
--- a/test_plans/vhost_virtio_user_interrupt_cbdma_test_plan.rst
+++ b/test_plans/vhost_virtio_user_interrupt_cbdma_test_plan.rst
@@ -14,7 +14,6 @@ status after stop sending packets from traffic generator.
 This test plan tests virtio-user Rx interrupt and LSC interrupt with vhost-user as the backend when cbdma enable.
 
 ..Note:
-
 DPDK local patch that about vhost pmd is needed when testing Vhost asynchronous data path with testpmd.
 
 Prerequisites
@@ -50,22 +49,25 @@ General set up
 Test case
 =========
 
-Test Case1: Split ring LSC event between vhost-user and virtio-user with cbdma enable
--------------------------------------------------------------------------------------
-This case tests the LSC interrupt of split ring virtio-user with vhost-user as the back-end
-when vhost uses the asynchronous operations with CBDMA channels.
+Test Case 1: Split ring LSC event between vhost-user and virtio-user with cbdma enable
+--------------------------------------------------------------------------------------
+This case tests the LSC interrupt of split ring virtio-user with vhost-user as the
+back-end when vhost uses the asynchronous operations with CBDMA channels.
 Flow: Vhost <--> Virtio
 
-1. Bind 1 CBDMA channel to vfio-pci driver, then start vhost-user side::
+1. Bind 1 CBDMA port to vfio-pci driver, then start vhost-user side::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x3000 -n 4 -a 00:04.0 --file-prefix=vhost --vdev 'net_vhost0,iface=vhost-net,queues=1,client=0,dmas=[txq0;rxq0]' \
-    -- -i --lcore-dma=[lcore13@0000:00:04.0]
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x3000 -n 4 -a 0000:00:04.0 --file-prefix=vhost \
+    --vdev 'net_vhost0,iface=vhost-net,queues=1,client=0,dmas=[txq0@0000:00:04.0;rxq0@0000:00:04.0]' \
+    -- -i
     testpmd> set fwd mac
     testpmd> start
 
 2. Start virtio-user side::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xc000 -n 4 --no-pci --file-prefix=virtio --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net -- -i --tx-offloads=0x00
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xc000 -n 4 --no-pci --file-prefix=virtio \
+    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net \
+    -- -i --tx-offloads=0x00
     testpmd> set fwd mac
     testpmd> start
 
@@ -79,15 +81,17 @@ Flow: Vhost <--> Virtio
     testpmd>  show port info 0
     #it should show "down"
 
-Test Case2: Split ring virtio-user interrupt test with vhost-user as backend and cbdma enable
----------------------------------------------------------------------------------------------
-This case tests Rx interrupt of split ring virtio-user with vhost-user as the back-end when vhost uses the asynchronous operations with CBDMA channels.
+Test Case 2: Split ring virtio-user interrupt test with vhost-user as backend and cbdma enable
+----------------------------------------------------------------------------------------------
+This case tests Rx interrupt of split ring virtio-user with vhost-user as the back-end when
+vhost uses the asynchronous operations with CBDMA channels.
 Flow: TG --> NIC --> Vhost --> Virtio
 
-1. Bind 1 CBDMA channel and 1 NIC port to vfio-pci, launch testpmd with a virtual vhost device as backend::
+1. Bind 1 CBDMA port and 1 NIC port to vfio-pci, launch testpmd with a virtual vhost device as backend::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7c -n 4 --vdev 'net_vhost0,iface=vhost-net,queues=1,dmas=[txq0;rxq0]' \
-    -- -i  --rxq=1 --txq=1 --lcore-dma=[lcore3@0000:00:04.0,lcore3@0000:00:04.1]
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7c -n 4 -a 0000:af:00.0 -a 0000:00:04.0 \
+    --vdev 'net_vhost0,iface=vhost-net,queues=1,dmas=[txq0@0000:00:04.0;rxq0@0000:00:04.0]' \
+    -- -i  --rxq=1 --txq=1
     testpmd> start
 
 2. Start l3fwd-power with a virtio-user device::
@@ -101,22 +105,25 @@ Flow: TG --> NIC --> Vhost --> Virtio
 
 5. Restart sending packets with packet generator, check virtio-user related core change to wakeup status again.
 
-Test Case3: Packed ring LSC event between vhost-user and virtio-user with cbdma enable
---------------------------------------------------------------------------------------
-This case tests the LSC interrupt of packed ring virtio-user with vhost-user as the back-end
-when vhost uses the asynchronous operations with CBDMA channels.
+Test Case 3: Packed ring LSC event between vhost-user and virtio-user with cbdma enable
+---------------------------------------------------------------------------------------
+This case tests the LSC interrupt of packed ring virtio-user with vhost-user as the
+back-end when vhost uses the asynchronous operations with CBDMA channels.
 Flow: Vhost <--> Virtio
 
-1. Bind one cbdma port to vfio-pci driver, then start vhost-user side::
+1. Bind 1 CBDMA port to vfio-pci driver, then start vhost-user side::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x3000 -n 4 -a 00:04.0 --file-prefix=vhost --vdev 'net_vhost0,iface=vhost-net,queues=1,client=0,dmas=[txq0;rxq0]' \
-    -- -i --lcore-dma=[lcore13@0000:00:04.0,lcore13@0000:00:04.1]
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x3000 -n 4 -a 0000:00:04.0 --file-prefix=vhost \
+    --vdev 'net_vhost0,iface=vhost-net,queues=1,client=0,dmas=[txq0@0000:00:04.0;rxq0@0000:00:04.0]' \
+    -- -i
     testpmd> set fwd mac
     testpmd> start
 
 2. Start virtio-user side::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xc000 -n 4 --no-pci --file-prefix=virtio --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,packed_vq=1 -- -i --tx-offloads=0x00
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xc000 -n 4 --no-pci --file-prefix=virtio \
+    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,packed_vq=1 \
+    -- -i --tx-offloads=0x00
     testpmd> set fwd mac
     testpmd> start
 
@@ -130,16 +137,18 @@ Flow: Vhost <--> Virtio
     testpmd>  show port info 0
     #it should show "down"
 
-Test Case4: Packed ring virtio-user interrupt test with vhost-user as backend and cbdma enable
-----------------------------------------------------------------------------------------------
-This case tests Rx interrupt of packed ring virtio-user with vhost-user as the back-end when vhost uses the asynchronous operations with CBDMA channels.
+Test Case 4: Packed ring virtio-user interrupt test with vhost-user as backend and cbdma enable
+-----------------------------------------------------------------------------------------------
+This case tests Rx interrupt of packed ring virtio-user with vhost-user as the back-end when
+vhost uses the asynchronous operations with CBDMA channels.
 
 flow: TG --> NIC --> Vhost --> Virtio
 
-1. Bind one cbdma port and one NIC port to vfio-pci, launch testpmd with a virtual vhost device as backend::
+1. Bind 1 CBDMA port and 1 NIC port to vfio-pci, launch testpmd with a virtual vhost device as backend::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7c -n 4 --vdev 'net_vhost0,iface=vhost-net,queues=1,dmas=[txq0;rxq0]' \
-    -- -i  --rxq=1 --txq=1 --lcore-dma=[lcore3@0000:00:04.0]
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7c -n 4 -a 0000:af:00.0 -a 0000:00:04.0 \
+    --vdev 'net_vhost0,iface=vhost-net,queues=1,dmas=[txq0@0000:00:04.0;rxq0@0000:00:04.0]' \
+    -- -i  --rxq=1 --txq=1
     testpmd> start
 
 2. Start l3fwd-power with a virtio-user device::
@@ -152,4 +161,3 @@ flow: TG --> NIC --> Vhost --> Virtio
 4. Stop sending packets with packet generator, check virtio-user related core change to sleep status.
 
 5. Restart sending packets with packet generator, check virtio-user related core change to wakeup status again.
-